<!-- markdownlint-disable MD024 -->
# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org).

## [v3.26.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.26.1) - 2025-01-23

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.26.0...v3.26.1)

### Added

- (PE-40187) Add support for PE 2023.8.1 [#538](https://github.com/puppetlabs/puppetlabs-peadm/pull/538) ([davidmalloncares](https://github.com/davidmalloncares))

## [v3.26.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.26.0) - 2024-12-16

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.25.1...v3.26.0)

### Added

- (PE-39891) Add support for PE 2025 [#533](https://github.com/puppetlabs/puppetlabs-peadm/pull/533) ([jhbuchanan45](https://github.com/jhbuchanan45))
- Add support for bolt 4.x [#529](https://github.com/puppetlabs/puppetlabs-peadm/pull/529) ([bastelfreak](https://github.com/bastelfreak))
- (PE-39352) Add version to get peadm config [#527](https://github.com/puppetlabs/puppetlabs-peadm/pull/527) ([jpartlow](https://github.com/jpartlow))

### Fixed

- puppet_runonce: redirect stderr to stdout [#523](https://github.com/puppetlabs/puppetlabs-peadm/pull/523) ([bastelfreak](https://github.com/bastelfreak))
- Check for curl failure [#521](https://github.com/puppetlabs/puppetlabs-peadm/pull/521) ([seanmil](https://github.com/seanmil))

### Other

- (PE-38076) Remove unused bolt_shim and apply_helpers modules [#518](https://github.com/puppetlabs/puppetlabs-peadm/pull/518) ([jhbuchanan45](https://github.com/jhbuchanan45))

## [v3.25.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.25.1) - 2024-10-24

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.25.0...v3.25.1)

### Added

- (PE-39411) Add descriptive error during infrastructure upgrade when rbac token is invalid [#514](https://github.com/puppetlabs/puppetlabs-peadm/pull/514) ([jhbuchanan45](https://github.com/jhbuchanan45))
- (PE-39412) PEADM should be able to add multiple compilers at once without requiring service restarts on Primary [#512](https://github.com/puppetlabs/puppetlabs-peadm/pull/512) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- PE-38801 Task added to fetch rules for PE Infrastructure Agent group and warn user that they will be replaced [#510](https://github.com/puppetlabs/puppetlabs-peadm/pull/510) ([AaronShannon](https://github.com/AaronShannon))

### Fixed

- fix: echo environment variable containing special char [#516](https://github.com/puppetlabs/puppetlabs-peadm/pull/516) ([LordKa0S](https://github.com/LordKa0S))
- (PE-39429) Only restart puppetdb on non-legacy compilers [#511](https://github.com/puppetlabs/puppetlabs-peadm/pull/511) ([jhbuchanan45](https://github.com/jhbuchanan45))

## [v3.25.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.25.0) - 2024-09-30

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.24.0...v3.25.0)

### Added

- Adding support for legacy compilers (#448) [#495](https://github.com/puppetlabs/puppetlabs-peadm/pull/495) ([CoMfUcIoS](https://github.com/CoMfUcIoS))

## [v3.24.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.24.0) - 2024-09-20

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.23.0...v3.24.0)

### Added

- (PE-39118) Adding code manager check to add_replica [#501](https://github.com/puppetlabs/puppetlabs-peadm/pull/501) ([ragingra](https://github.com/ragingra))

## [v3.23.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.23.0) - 2024-09-12

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.22.0...v3.23.0)

### Added

- (PE-37233-35) Official support of Add compiler plan [#485](https://github.com/puppetlabs/puppetlabs-peadm/pull/485) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- (PE-38815-18) Official support of Add replica plan [#484](https://github.com/puppetlabs/puppetlabs-peadm/pull/484) ([CoMfUcIoS](https://github.com/CoMfUcIoS))

### Other

- PE-39228 add_replica smoke test [#497](https://github.com/puppetlabs/puppetlabs-peadm/pull/497) ([AaronShannon](https://github.com/AaronShannon))
- (PE-38817) Text fixes for add_replica docs [#496](https://github.com/puppetlabs/puppetlabs-peadm/pull/496) ([ragingra](https://github.com/ragingra))
- (PE-39224) Adding random console password for forked pr workflow [#491](https://github.com/puppetlabs/puppetlabs-peadm/pull/491) ([ragingra](https://github.com/ragingra))

## [v3.22.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.22.0) - 2024-09-03

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.21.0...v3.22.0)

### Fixed

- (#469) Assign correct environment to node groups [#479](https://github.com/puppetlabs/puppetlabs-peadm/pull/479) ([bastelfreak](https://github.com/bastelfreak))
- pe_installer_source: Use Stdlib::HTTPSUrl datatype [#466](https://github.com/puppetlabs/puppetlabs-peadm/pull/466) ([bastelfreak](https://github.com/bastelfreak))

### Other

- (PE-38769) Task/Plan to identify conflicting classifications on legacy compilers and warn the user [#483](https://github.com/puppetlabs/puppetlabs-peadm/pull/483) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- PE-38815 add_replica plan updated, test matrix added [#480](https://github.com/puppetlabs/puppetlabs-peadm/pull/480) ([AaronShannon](https://github.com/AaronShannon))
- (PE-38818) Removing experimental and private from add_replica [#478](https://github.com/puppetlabs/puppetlabs-peadm/pull/478) ([ragingra](https://github.com/ragingra))
- (PE-38771) Convert plan accepts legacy compilers key in params.json [#476](https://github.com/puppetlabs/puppetlabs-peadm/pull/476) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- (PE-38770) Install Plan accepts legacy_compilers key [#474](https://github.com/puppetlabs/puppetlabs-peadm/pull/474) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- (PE-38814) add_compiler - Making primary_postgresql_host and avail_group_letter optional [#468](https://github.com/puppetlabs/puppetlabs-peadm/pull/468) ([ragingra](https://github.com/ragingra))
- PE-38768 classify compilers task added [#467](https://github.com/puppetlabs/puppetlabs-peadm/pull/467) ([AaronShannon](https://github.com/AaronShannon))
- (PE-38767) Adding legacy compilers to get_peadm_config [#456](https://github.com/puppetlabs/puppetlabs-peadm/pull/456) ([ragingra](https://github.com/ragingra))
- PE-38772 Node groups added for legacy compilers [#455](https://github.com/puppetlabs/puppetlabs-peadm/pull/455) ([AaronShannon](https://github.com/AaronShannon))
- Adding support for legacy compilers [#448](https://github.com/puppetlabs/puppetlabs-peadm/pull/448) ([ragingra](https://github.com/ragingra))
- (PE-37235) Verify and update documentation on add_compiler [#429](https://github.com/puppetlabs/puppetlabs-peadm/pull/429) ([cathal41](https://github.com/cathal41))

## [v3.21.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.21.0) - 2024-07-15

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.20.0...v3.21.0)

### Added

- PE-38219 - Support air gapped installation while using a Windows as Jump host [#438](https://github.com/puppetlabs/puppetlabs-peadm/pull/438) ([cathal41](https://github.com/cathal41))

## [v3.20.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.20.0) - 2024-07-01

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.19.0...v3.20.0)

### Added

- Add backup/restore plans [#339](https://github.com/puppetlabs/puppetlabs-peadm/pull/339) ([timidri](https://github.com/timidri))

### Other

- [ITHELP-87329] Update test-backup-restore.yaml [#447](https://github.com/puppetlabs/puppetlabs-peadm/pull/447) ([binford2k](https://github.com/binford2k))
- [ITHELP-87329] Update test-backup-restore.yaml [#446](https://github.com/puppetlabs/puppetlabs-peadm/pull/446) ([binford2k](https://github.com/binford2k))
- (PE-37233) Adding add_compiler to test matrix [#434](https://github.com/puppetlabs/puppetlabs-peadm/pull/434) ([ragingra](https://github.com/ragingra))
- Update backup_restore.md [#432](https://github.com/puppetlabs/puppetlabs-peadm/pull/432) ([J-Hunniford](https://github.com/J-Hunniford))

## [v3.19.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.19.0) - 2024-05-08

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.18.1...v3.19.0)

## [v3.18.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.18.1) - 2024-04-17

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.18.0...v3.18.1)

## [v3.18.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.18.0) - 2024-04-04

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.17.0...v3.18.0)

## [v3.17.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.17.0) - 2024-02-07

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.16.1...v3.17.0)

### Other

- add environment parameter to puppet_runonce task [#402](https://github.com/puppetlabs/puppetlabs-peadm/pull/402) ([vchepkov](https://github.com/vchepkov))

## [v3.16.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.16.1) - 2023-11-23

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.16.0...v3.16.1)

### Other

- (PE-37192) Updating default install version to 2021.7.6 [#406](https://github.com/puppetlabs/puppetlabs-peadm/pull/406) ([ragingra](https://github.com/ragingra))
- (MAINT) Update release_process.md [#405](https://github.com/puppetlabs/puppetlabs-peadm/pull/405) ([Jo-Lillie](https://github.com/Jo-Lillie))

## [v3.16.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.16.0) - 2023-11-08

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.15.1...v3.16.0)

### Added

- (PE-35906) Adding plans for backing up and restoring CA [#400](https://github.com/puppetlabs/puppetlabs-peadm/pull/400) ([ragingra](https://github.com/ragingra))

### Fixed

- peadm::install: Depend code-manager setup on r10k remote presence, not r10k ssh key [#401](https://github.com/puppetlabs/puppetlabs-peadm/pull/401) ([bastelfreak](https://github.com/bastelfreak))

## [v3.15.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.15.1) - 2023-10-10

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.15.0...v3.15.1)

### Added

- (#351) code_manager: Switch default to `undef` [#352](https://github.com/puppetlabs/puppetlabs-peadm/pull/352) ([bastelfreak](https://github.com/bastelfreak))

### Fixed

- Fix for plan peadm::add_compiler over pcp transport [#356](https://github.com/puppetlabs/puppetlabs-peadm/pull/356) ([jortencio](https://github.com/jortencio))

## [v3.15.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.15.0) - 2023-10-06

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.14.0...v3.15.0)

### Added

- support configurable installer target upload path [#376](https://github.com/puppetlabs/puppetlabs-peadm/pull/376) ([h0tw1r3](https://github.com/h0tw1r3))

## [v3.14.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.14.0) - 2023-09-15

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.13.1...v3.14.0)

### Added

- (PE-36789) R10k Known hosts upgrade path [#382](https://github.com/puppetlabs/puppetlabs-peadm/pull/382) ([ragingra](https://github.com/ragingra))
- (PE-36580) Add r10k_known_hosts to install plan [#380](https://github.com/puppetlabs/puppetlabs-peadm/pull/380) ([jpartlow](https://github.com/jpartlow))

## [v3.13.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.13.1) - 2023-06-27

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.13.0...v3.13.1)

## [v3.13.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.13.0) - 2023-06-26

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.12.0...v3.13.0)

### Added

- Adding /etc/puppetlabs/enterprise/conf.d/pe.conf [#346](https://github.com/puppetlabs/puppetlabs-peadm/pull/346) ([16c7x](https://github.com/16c7x))
- Allow code manager auto configure to be passed as param [#341](https://github.com/puppetlabs/puppetlabs-peadm/pull/341) ([elainemccloskey](https://github.com/elainemccloskey))

## [v3.12.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.12.0) - 2023-02-17

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.11.1...v3.12.0)

### Added

- Remove experimental backup/restore plans [#337](https://github.com/puppetlabs/puppetlabs-peadm/pull/337) ([timidri](https://github.com/timidri))

### Fixed

- Fix group letter assignments during upgrade [#336](https://github.com/puppetlabs/puppetlabs-peadm/pull/336) ([timidri](https://github.com/timidri))

## [v3.11.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.11.1) - 2023-02-10

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.11.0...v3.11.1)

### Added

- add parameter for setting final state of infrastructure agents after upgrade [#330](https://github.com/puppetlabs/puppetlabs-peadm/pull/330) ([vchepkov](https://github.com/vchepkov))

### Fixed

- fix variable notation [#331](https://github.com/puppetlabs/puppetlabs-peadm/pull/331) ([vchepkov](https://github.com/vchepkov))

## [v3.11.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.11.0) - 2023-02-01

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.10.0...v3.11.0)

### Added

- Fail with guidance if peadm::util::retrieve_and_upload is used on PE XL with the PCP transport [#317](https://github.com/puppetlabs/puppetlabs-peadm/pull/317) ([Sharpie](https://github.com/Sharpie))

## [v3.10.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.10.0) - 2023-02-01

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.9.0...v3.10.0)

### Added

- Adding windows node capability [#307](https://github.com/puppetlabs/puppetlabs-peadm/pull/307) ([davidsandilands](https://github.com/davidsandilands))
- Parameter for setting final state of agents [#305](https://github.com/puppetlabs/puppetlabs-peadm/pull/305) ([ody](https://github.com/ody))

### Fixed

- Fix XL failures in finalize step of peadm::convert [#315](https://github.com/puppetlabs/puppetlabs-peadm/pull/315) ([Sharpie](https://github.com/Sharpie))
- Sync FIPS detection with the PE installer [#310](https://github.com/puppetlabs/puppetlabs-peadm/pull/310) ([Sharpie](https://github.com/Sharpie))

## [v3.9.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.9.0) - 2022-09-23

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.8.0...v3.9.0)

### Fixed

- Ensure fips commands exists before using it [#289](https://github.com/puppetlabs/puppetlabs-peadm/pull/289) ([ody](https://github.com/ody))
- Fix-ups in copy_file plan usage [#282](https://github.com/puppetlabs/puppetlabs-peadm/pull/282) ([ody](https://github.com/ody))
- Re-use sync_global_hiera plan [#281](https://github.com/puppetlabs/puppetlabs-peadm/pull/281) ([ody](https://github.com/ody))
- Support the installation of PE on FIPS enabled RHEL [#280](https://github.com/puppetlabs/puppetlabs-peadm/pull/280) ([ody](https://github.com/ody))
- Fetch installed PSQL version [#275](https://github.com/puppetlabs/puppetlabs-peadm/pull/275) ([ody](https://github.com/ody))

### Other

- allow to customize admin's token lifetime [#285](https://github.com/puppetlabs/puppetlabs-peadm/pull/285) ([vchepkov](https://github.com/vchepkov))

## [v3.8.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.8.0) - 2022-06-21

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.7.0...v3.8.0)

### Added

- Fix classification when adding some components [#258](https://github.com/puppetlabs/puppetlabs-peadm/pull/258) ([ody](https://github.com/ody))
- Add task and update configure plan to allow for ldap configuration on… [#253](https://github.com/puppetlabs/puppetlabs-peadm/pull/253) ([bwilcox](https://github.com/bwilcox))

### Fixed

- Restart compiler services [#271](https://github.com/puppetlabs/puppetlabs-peadm/pull/271) ([ody](https://github.com/ody))
- Set additional rules on replica when adding compiler [#270](https://github.com/puppetlabs/puppetlabs-peadm/pull/270) ([ody](https://github.com/ody))
- Updates documentation [#269](https://github.com/puppetlabs/puppetlabs-peadm/pull/269) ([ody](https://github.com/ody))

## [v3.7.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.7.0) - 2022-05-11

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.6.0...v3.7.0)

### Added

- Add optional `pe_installer_source` parameter [#261](https://github.com/puppetlabs/puppetlabs-peadm/pull/261) ([reidmv](https://github.com/reidmv))
- Support PE 2021.6 and 2019.8.11 [#260](https://github.com/puppetlabs/puppetlabs-peadm/pull/260) ([reidmv](https://github.com/reidmv))
- Add experimental restore plan [#250](https://github.com/puppetlabs/puppetlabs-peadm/pull/250) ([reidmv](https://github.com/reidmv))

## [v3.6.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.6.0) - 2022-05-04

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.5.0...v3.6.0)

### Added

- Add experimental backup plan [#235](https://github.com/puppetlabs/puppetlabs-peadm/pull/235) ([davidsandilands](https://github.com/davidsandilands))

### Fixed

- Add read map so puppetdb can start on new compiler [#252](https://github.com/puppetlabs/puppetlabs-peadm/pull/252) ([ody](https://github.com/ody))
- Fix and document recovery procedure for PSQL [#243](https://github.com/puppetlabs/puppetlabs-peadm/pull/243) ([ody](https://github.com/ody))

## [v3.5.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.5.0) - 2022-04-13

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.4.0...v3.5.0)

### Added

- Add support for SLES 12 [#245](https://github.com/puppetlabs/puppetlabs-peadm/pull/245) ([MartyEwings](https://github.com/MartyEwings))
- Add `peadm::add_database` plan [#241](https://github.com/puppetlabs/puppetlabs-peadm/pull/241) ([ody](https://github.com/ody))
- Add experimental `peadm::util::code_sync_status` plan [#221](https://github.com/puppetlabs/puppetlabs-peadm/pull/221) ([reidmv](https://github.com/reidmv))

### Fixed

- Fix json escaping in `bash_task_helper` [#246](https://github.com/puppetlabs/puppetlabs-peadm/pull/246) ([reidmv](https://github.com/reidmv))
- Fix load balancer bug in `peadm::get_peadm_config` task [#244](https://github.com/puppetlabs/puppetlabs-peadm/pull/244) ([reidmv](https://github.com/reidmv))

## [v3.4.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.4.0) - 2022-03-08

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.3.0...v3.4.0)

### Added

- Allow compilers and replicas to merge csr_attributes. [#238](https://github.com/puppetlabs/puppetlabs-peadm/pull/238) ([bwilcox](https://github.com/bwilcox))
- Add support for PE 2021.5 [#237](https://github.com/puppetlabs/puppetlabs-peadm/pull/237) ([reidmv](https://github.com/reidmv))
- Improve handling of unsuitable LANG settings [#236](https://github.com/puppetlabs/puppetlabs-peadm/pull/236) ([reidmv](https://github.com/reidmv))
- Add `peadm::backup` plan [#226](https://github.com/puppetlabs/puppetlabs-peadm/pull/226) ([davidsandilands](https://github.com/davidsandilands))

### Fixed

- Make versions match SemVer pattern [#232](https://github.com/puppetlabs/puppetlabs-peadm/pull/232) ([reidmv](https://github.com/reidmv))

## [v3.3.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.3.0) - 2022-01-05

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.2.0...v3.3.0)

### Added

- Support PE 2021.4 [#229](https://github.com/puppetlabs/puppetlabs-peadm/pull/229) ([reidmv](https://github.com/reidmv))
- Add development and testing option to permit installing unsupported PE versions [#204](https://github.com/puppetlabs/puppetlabs-peadm/pull/204) ([jarretlavallee](https://github.com/jarretlavallee))

### Fixed

- Fail agent_install if agent is already installed [#223](https://github.com/puppetlabs/puppetlabs-peadm/pull/223) ([reidmv](https://github.com/reidmv))
- Catch mv errors when downloading [#220](https://github.com/puppetlabs/puppetlabs-peadm/pull/220) ([reidmv](https://github.com/reidmv))
- Determine validation key from asc signature file [#219](https://github.com/puppetlabs/puppetlabs-peadm/pull/219) ([reidmv](https://github.com/reidmv))
- Improve reliability of downloading PE tarball [#215](https://github.com/puppetlabs/puppetlabs-peadm/pull/215) ([mcka1n](https://github.com/mcka1n))

## [v3.2.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.2.0) - 2021-09-20

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.1.0...v3.2.0)

### Added

- Add auto-generated REFERENCE.md documentation [#211](https://github.com/puppetlabs/puppetlabs-peadm/pull/211) ([reidmv](https://github.com/reidmv))
- Make PEAdm a Puppet supported module [#199](https://github.com/puppetlabs/puppetlabs-peadm/pull/199) ([ody](https://github.com/ody))

### Fixed

- Update documentation to reference supported PE version [#213](https://github.com/puppetlabs/puppetlabs-peadm/pull/213) ([reidmv](https://github.com/reidmv))
- Fix output of peadm::status when used with multiple clusters [#209](https://github.com/puppetlabs/puppetlabs-peadm/pull/209) ([reidmv](https://github.com/reidmv))

## [v3.1.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.1.0) - 2021-09-10

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.0.1...v3.1.0)

### Added

- Support PE 2021.3 [#203](https://github.com/puppetlabs/puppetlabs-peadm/pull/203) ([reidmv](https://github.com/reidmv))
- Add PE download signature checking [#201](https://github.com/puppetlabs/puppetlabs-peadm/pull/201) ([timidri](https://github.com/timidri))
- Add task to report on code synchronization status [#196](https://github.com/puppetlabs/puppetlabs-peadm/pull/196) ([davidsandilands](https://github.com/davidsandilands))
- Add an experimental peadm::uninstall plan [#195](https://github.com/puppetlabs/puppetlabs-peadm/pull/195) ([mcka1n](https://github.com/mcka1n))
- Remove hardcoded default memory configuration [#194](https://github.com/puppetlabs/puppetlabs-peadm/pull/194) ([reidmv](https://github.com/reidmv))
- Highlight user-facing plans by hiding internal plans from `bolt plan show` output [#189](https://github.com/puppetlabs/puppetlabs-peadm/pull/189) ([reidmv](https://github.com/reidmv))
- Add get_peadm_config task [#187](https://github.com/puppetlabs/puppetlabs-peadm/pull/187) ([reidmv](https://github.com/reidmv))
- Replace plan peadm::modify_cert_extensions with peadm::modify_certificate [#181](https://github.com/puppetlabs/puppetlabs-peadm/pull/181) ([reidmv](https://github.com/reidmv))

### Fixed

- Fix upgrade without replica [#198](https://github.com/puppetlabs/puppetlabs-peadm/pull/198) ([reidmv](https://github.com/reidmv))
- Fix upgrade bug for token files with newlines [#193](https://github.com/puppetlabs/puppetlabs-peadm/pull/193) ([reidmv](https://github.com/reidmv))
- Move load_balancer class to examples [#183](https://github.com/puppetlabs/puppetlabs-peadm/pull/183) ([reidmv](https://github.com/reidmv))
- Fix GitHub README.md problem [#182](https://github.com/puppetlabs/puppetlabs-peadm/pull/182) ([reidmv](https://github.com/reidmv))

## [v3.0.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.0.1) - 2021-06-30

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/v3.0.0...v3.0.1)

### Fixed

- Add missing parenthesis to add_compiler plan [#177](https://github.com/puppetlabs/puppetlabs-peadm/pull/177) ([timidri](https://github.com/timidri))
- Use absolute links so they render properly on the Forge [#175](https://github.com/puppetlabs/puppetlabs-peadm/pull/175) ([binford2k](https://github.com/binford2k))

## [v3.0.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/v3.0.0) - 2021-06-29

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.5.0...v3.0.0)

### Changed

- Global rename of primary/replica and postgresql parameters [#161](https://github.com/puppetlabs/puppetlabs-peadm/pull/161) ([timidri](https://github.com/timidri))
- Language and terminology updates [#153](https://github.com/puppetlabs/puppetlabs-peadm/pull/153) ([davidsandilands](https://github.com/davidsandilands))

### Added

- Update workflow PE defaults to latest LTS [#170](https://github.com/puppetlabs/puppetlabs-peadm/pull/170) ([reidmv](https://github.com/reidmv))
- Add add_replica plan [#166](https://github.com/puppetlabs/puppetlabs-peadm/pull/166) ([timidri](https://github.com/timidri))
- Support latest PE release [#157](https://github.com/puppetlabs/puppetlabs-peadm/pull/157) ([ody](https://github.com/ody))
- Add add_compiler plan [#154](https://github.com/puppetlabs/puppetlabs-peadm/pull/154) ([timidri](https://github.com/timidri))

### Fixed

- Resolving linting issues [#165](https://github.com/puppetlabs/puppetlabs-peadm/pull/165) ([davidsandilands](https://github.com/davidsandilands))
- Fix installer exit handling [#152](https://github.com/puppetlabs/puppetlabs-peadm/pull/152) ([reidmv](https://github.com/reidmv))

### Other

- Release 2.5.0 [#149](https://github.com/puppetlabs/puppetlabs-peadm/pull/149) ([reidmv](https://github.com/reidmv))

## [2.5.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.5.0) - 2021-03-23

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.4.5...2.5.0)

### Other

- PE 2021.0 support [#146](https://github.com/puppetlabs/puppetlabs-peadm/pull/146) ([reidmv](https://github.com/reidmv))
- Added modules to bolt-project. Removed Puppetfile [#145](https://github.com/puppetlabs/puppetlabs-peadm/pull/145) ([bryanjbelanger](https://github.com/bryanjbelanger))
- Ensure locales are set to en_US.UTF-8 for install [#144](https://github.com/puppetlabs/puppetlabs-peadm/pull/144) ([kreeuwijk](https://github.com/kreeuwijk))
- fix documented parameters for peadm::install plan [#143](https://github.com/puppetlabs/puppetlabs-peadm/pull/143) ([vchepkov](https://github.com/vchepkov))
- Adds testing for validate_version [#142](https://github.com/puppetlabs/puppetlabs-peadm/pull/142) ([logicminds](https://github.com/logicminds))
- Add bolt_version function and use it in plans [#141](https://github.com/puppetlabs/puppetlabs-peadm/pull/141) ([timidri](https://github.com/timidri))
- Infra upgrade improvement [#139](https://github.com/puppetlabs/puppetlabs-peadm/pull/139) ([reidmv](https://github.com/reidmv))
- Use node_manager's new purge_behavior parameter [#134](https://github.com/puppetlabs/puppetlabs-peadm/pull/134) ([reidmv](https://github.com/reidmv))

## [2.4.5](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.4.5) - 2020-12-23

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.4.4...2.4.5)

### Other

- Fix a problem with Peadm::SingleTargetSpec [#138](https://github.com/puppetlabs/puppetlabs-peadm/pull/138) ([reidmv](https://github.com/reidmv))
- Make puppet_runonce exit non-zero on resrc failure [#137](https://github.com/puppetlabs/puppetlabs-peadm/pull/137) ([reidmv](https://github.com/reidmv))
- Fix bug in convert plan version validation [#136](https://github.com/puppetlabs/puppetlabs-peadm/pull/136) ([reidmv](https://github.com/reidmv))

## [2.4.4](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.4.4) - 2020-11-19

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.4.3...2.4.4)

## [2.4.3](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.4.3) - 2020-11-13

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.4.2...2.4.3)

### Other

- GH-130 Fix overwrite of user config data [#132](https://github.com/puppetlabs/puppetlabs-peadm/pull/132) ([reidmv](https://github.com/reidmv))

## [2.4.2](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.4.2) - 2020-11-02

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.4.1...2.4.2)

### Other

- GH-130 Fix overwrite of user config data [#132](https://github.com/puppetlabs/puppetlabs-peadm/pull/132) ([reidmv](https://github.com/reidmv))

## [2.4.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.4.1) - 2020-09-26

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.4.0...2.4.1)

### Other

- Fix upgrade peconf [#129](https://github.com/puppetlabs/puppetlabs-peadm/pull/129) ([reidmv](https://github.com/reidmv))

## [2.4.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.4.0) - 2020-09-23

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.3.0...2.4.0)

### Other

- Don't re-issue certs if they have required exts [#128](https://github.com/puppetlabs/puppetlabs-peadm/pull/128) ([reidmv](https://github.com/reidmv))
- Add support clause and instructions to README [#127](https://github.com/puppetlabs/puppetlabs-peadm/pull/127) ([reidmv](https://github.com/reidmv))

## [2.3.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.3.0) - 2020-09-22

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.2.1...2.3.0)

### Other

- Plan steps [#126](https://github.com/puppetlabs/puppetlabs-peadm/pull/126) ([reidmv](https://github.com/reidmv))
- Bug fixes to convert [#125](https://github.com/puppetlabs/puppetlabs-peadm/pull/125) ([reidmv](https://github.com/reidmv))

## [2.2.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.2.1) - 2020-09-17

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.2.0...2.2.1)

## [2.2.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.2.0) - 2020-09-17

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.1.1...2.2.0)

### Other

- Eliminate convert configure_node_groups param [#124](https://github.com/puppetlabs/puppetlabs-peadm/pull/124) ([reidmv](https://github.com/reidmv))
- Add informational messages to upgrade plan [#123](https://github.com/puppetlabs/puppetlabs-peadm/pull/123) ([reidmv](https://github.com/reidmv))
- Wait until nodes connected before infra upgrade [#122](https://github.com/puppetlabs/puppetlabs-peadm/pull/122) ([reidmv](https://github.com/reidmv))
- Add compiler_pool_{a,b}_address parameters [#121](https://github.com/puppetlabs/puppetlabs-peadm/pull/121) ([reidmv](https://github.com/reidmv))
- Set ha_enabled_replicas to an empty array for compilers [#120](https://github.com/puppetlabs/puppetlabs-peadm/pull/120) ([reidmv](https://github.com/reidmv))
- Add service module [#115](https://github.com/puppetlabs/puppetlabs-peadm/pull/115) ([logicminds](https://github.com/logicminds))

## [2.1.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.1.1) - 2020-08-13

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.4.3...2.1.1)

### Other

- Docker inventory refactor [#114](https://github.com/puppetlabs/puppetlabs-peadm/pull/114) ([logicminds](https://github.com/logicminds))
- Remove support team responsibilities in README [#113](https://github.com/puppetlabs/puppetlabs-peadm/pull/113) ([nigelkersten](https://github.com/nigelkersten))
- Fix #110 - peadm::status plan fails with new bolt version [#111](https://github.com/puppetlabs/puppetlabs-peadm/pull/111) ([logicminds](https://github.com/logicminds))

## [0.4.3](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.4.3) - 2020-07-08

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.1.0...0.4.3)

### Other

- #106 fix permissions on the key files [#108](https://github.com/puppetlabs/puppetlabs-peadm/pull/108) ([vchepkov](https://github.com/vchepkov))

## [2.1.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.1.0) - 2020-07-07

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/2.0.0...2.1.0)

### Other

- Update validate_version.pp [#104](https://github.com/puppetlabs/puppetlabs-peadm/pull/104) ([bryanjbelanger](https://github.com/bryanjbelanger))
- use platform-python on RHEL8 [#102](https://github.com/puppetlabs/puppetlabs-peadm/pull/102) ([vchepkov](https://github.com/vchepkov))
- Upgrade from 2018 [#101](https://github.com/puppetlabs/puppetlabs-peadm/pull/101) ([reidmv](https://github.com/reidmv))
- (maint) Update Puppet VS Code Extension ID [#100](https://github.com/puppetlabs/puppetlabs-peadm/pull/100) ([jpogran](https://github.com/jpogran))

## [2.0.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/2.0.0) - 2020-05-29

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/1.2.0...2.0.0)

## [1.2.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/1.2.0) - 2020-05-29

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/1.1.0...1.2.0)

### Other

- Backport docker examples for 2018 [#99](https://github.com/puppetlabs/puppetlabs-peadm/pull/99) ([logicminds](https://github.com/logicminds))
- Docker updates [#98](https://github.com/puppetlabs/puppetlabs-peadm/pull/98) ([logicminds](https://github.com/logicminds))
- Add direct download option for PE installers [#97](https://github.com/puppetlabs/puppetlabs-peadm/pull/97) ([Sharpie](https://github.com/Sharpie))
- Re-implement ad6ae240 without behavior change [#96](https://github.com/puppetlabs/puppetlabs-peadm/pull/96) ([reidmv](https://github.com/reidmv))
- Revert "made print() call Py3 compliant, added checks for Py execs" [#95](https://github.com/puppetlabs/puppetlabs-peadm/pull/95) ([ody](https://github.com/ody))

## [1.1.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/1.1.0) - 2020-05-14

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/1.0.1...1.1.0)

### Other

- made print() call Py3 compliant, added checks for Py execs [#94](https://github.com/puppetlabs/puppetlabs-peadm/pull/94) ([rajeshr264](https://github.com/rajeshr264))
- Improve error handling of peadm::download task [#92](https://github.com/puppetlabs/puppetlabs-peadm/pull/92) ([Sharpie](https://github.com/Sharpie))
- Add explicit help instructions to README [#91](https://github.com/puppetlabs/puppetlabs-peadm/pull/91) ([trlinkin](https://github.com/trlinkin))
- Adds some basic tests for functions [#90](https://github.com/puppetlabs/puppetlabs-peadm/pull/90) ([logicminds](https://github.com/logicminds))
- Adds ability to audit bolt files [#89](https://github.com/puppetlabs/puppetlabs-peadm/pull/89) ([logicminds](https://github.com/logicminds))
- (feat) Add stack status task and plan [#88](https://github.com/puppetlabs/puppetlabs-peadm/pull/88) ([logicminds](https://github.com/logicminds))
- Provide mv wrapper task [#86](https://github.com/puppetlabs/puppetlabs-peadm/pull/86) ([reidmv](https://github.com/reidmv))

## [1.0.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/1.0.1) - 2020-04-02

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/1.0.0...1.0.1)

### Other

- Pin master to PE Database group [#85](https://github.com/puppetlabs/puppetlabs-peadm/pull/85) ([reidmv](https://github.com/reidmv))
- Reduce several check tasks down to one [#84](https://github.com/puppetlabs/puppetlabs-peadm/pull/84) ([reidmv](https://github.com/reidmv))
- Fix incorrect task name in install plan [#83](https://github.com/puppetlabs/puppetlabs-peadm/pull/83) ([logicminds](https://github.com/logicminds))
- Add docker support for experimentation [#81](https://github.com/puppetlabs/puppetlabs-peadm/pull/81) ([logicminds](https://github.com/logicminds))
- Add wait function during install [#80](https://github.com/puppetlabs/puppetlabs-peadm/pull/80) ([logicminds](https://github.com/logicminds))
- Add check status tasks [#79](https://github.com/puppetlabs/puppetlabs-peadm/pull/79) ([logicminds](https://github.com/logicminds))
- Make cert tasks more idempotent [#78](https://github.com/puppetlabs/puppetlabs-peadm/pull/78) ([logicminds](https://github.com/logicminds))
- Use custom OIDs for peadm role and avil. group [#76](https://github.com/puppetlabs/puppetlabs-peadm/pull/76) ([reidmv](https://github.com/reidmv))

## [1.0.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/1.0.0) - 2020-03-27

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.5.2...1.0.0)

### Other

- Rework upgrade sequence to support Standard arch [#77](https://github.com/puppetlabs/puppetlabs-peadm/pull/77) ([reidmv](https://github.com/reidmv))
- Fail peadm::pe_install task when installer fails [#75](https://github.com/puppetlabs/puppetlabs-peadm/pull/75) ([reidmv](https://github.com/reidmv))
- Set certnames to target names [#72](https://github.com/puppetlabs/puppetlabs-peadm/pull/72) ([reidmv](https://github.com/reidmv))
- updated the agent_install.sh file sed statement for installation flag… [#70](https://github.com/puppetlabs/puppetlabs-peadm/pull/70) ([chrislorro](https://github.com/chrislorro))
- Update function to accept either string or undef data type. [#66](https://github.com/puppetlabs/puppetlabs-peadm/pull/66) ([bwilcox](https://github.com/bwilcox))
- Node manager switch [#64](https://github.com/puppetlabs/puppetlabs-peadm/pull/64) ([bwilcox](https://github.com/bwilcox))
- Eliminate default private key parameter value [#62](https://github.com/puppetlabs/puppetlabs-peadm/pull/62) ([reidmv](https://github.com/reidmv))
- Manage license file [#61](https://github.com/puppetlabs/puppetlabs-peadm/pull/61) ([abrader](https://github.com/abrader))
- Node manager fix [#60](https://github.com/puppetlabs/puppetlabs-peadm/pull/60) ([bwilcox](https://github.com/bwilcox))
- basework for https://github.com/puppetlabs/puppetlabs-peadm/issues/50 [#52](https://github.com/puppetlabs/puppetlabs-peadm/pull/52) ([abuxton](https://github.com/abuxton))

## [0.5.2](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.5.2) - 2020-01-30

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.4.2...0.5.2)

## [0.4.2](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.4.2) - 2020-01-30

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.5.1...0.4.2)

## [0.5.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.5.1) - 2020-01-29

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.4.1...0.5.1)

## [0.4.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.4.1) - 2020-01-29

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.5.0...0.4.1)

## [0.5.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.5.0) - 2020-01-27

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.4.0...0.5.0)

### Other

- Modernize Upgrade Plan [#56](https://github.com/puppetlabs/puppetlabs-peadm/pull/56) ([reidmv](https://github.com/reidmv))
- Add support for Ubuntu platform [#54](https://github.com/puppetlabs/puppetlabs-peadm/pull/54) ([reidmv](https://github.com/reidmv))
- configure classifier data in global hiera.yaml [#44](https://github.com/puppetlabs/puppetlabs-peadm/pull/44) ([tkishel](https://github.com/tkishel))
- Make CSR submission version-aware [#43](https://github.com/puppetlabs/puppetlabs-peadm/pull/43) ([reidmv](https://github.com/reidmv))
- Re-add use of raw OIDs to csr_attribute.yaml files [#38](https://github.com/puppetlabs/puppetlabs-peadm/pull/38) ([reidmv](https://github.com/reidmv))
- Rename subdirectory "unit" to "action" [#37](https://github.com/puppetlabs/puppetlabs-peadm/pull/37) ([reidmv](https://github.com/reidmv))
- Partially revert #35 [#36](https://github.com/puppetlabs/puppetlabs-peadm/pull/36) ([reidmv](https://github.com/reidmv))
- Update parameter for puppetdb_database_host [#35](https://github.com/puppetlabs/puppetlabs-peadm/pull/35) ([npwalker](https://github.com/npwalker))
- Deploy combined with GCP, macOS, Terraform [#34](https://github.com/puppetlabs/puppetlabs-peadm/pull/34) ([ody](https://github.com/ody))
- Remove use of pp_role [#33](https://github.com/puppetlabs/puppetlabs-peadm/pull/33) ([reidmv](https://github.com/reidmv))
- Added "if" to not run CA sign on empty certname [#32](https://github.com/puppetlabs/puppetlabs-peadm/pull/32) ([spidersddd](https://github.com/spidersddd))
- Rename module to puppetlabs-peadm [#31](https://github.com/puppetlabs/puppetlabs-peadm/pull/31) ([reidmv](https://github.com/reidmv))
- Use node group apply [#28](https://github.com/puppetlabs/puppetlabs-peadm/pull/28) ([reidmv](https://github.com/reidmv))

## [0.4.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.4.0) - 2019-11-12

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.2.3...0.4.0)

### Other

- Changed for more reliable hostname resolution [#27](https://github.com/puppetlabs/puppetlabs-peadm/pull/27) ([dylanratcliffe](https://github.com/dylanratcliffe))
- V4 [#26](https://github.com/puppetlabs/puppetlabs-peadm/pull/26) ([reidmv](https://github.com/reidmv))
- Added ability fo fully bootstrap Code manager [#25](https://github.com/puppetlabs/puppetlabs-peadm/pull/25) ([dylanratcliffe](https://github.com/dylanratcliffe))
- Removed local:// dependency for upgrades [#24](https://github.com/puppetlabs/puppetlabs-peadm/pull/24) ([dylanratcliffe](https://github.com/dylanratcliffe))
- SLV-366 Make external database host optional [#23](https://github.com/puppetlabs/puppetlabs-peadm/pull/23) ([johnduarte](https://github.com/johnduarte))
- (SLV-365) Update the install, configure, and upgrade plans in the pe_xl module to make ha optional [#21](https://github.com/puppetlabs/puppetlabs-peadm/pull/21) ([billclaytor](https://github.com/billclaytor))

## [0.2.3](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.2.3) - 2019-07-12

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.2.2...0.2.3)

### Other

- Stop managing environments [#18](https://github.com/puppetlabs/puppetlabs-peadm/pull/18) ([reidmv](https://github.com/reidmv))

## [0.2.2](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.2.2) - 2019-02-15

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.2.1...0.2.2)

## [0.2.1](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.2.1) - 2019-02-07

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.2.0...0.2.1)

## [0.2.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.2.0) - 2019-02-06

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/0.1.0...0.2.0)

### Other

- add variable to mark a node as the replica (required for other modules to only configure webhooks on the current primary) [#16](https://github.com/puppetlabs/puppetlabs-peadm/pull/16) ([uphillian](https://github.com/uphillian))
- name translation not working to the bash script [#14](https://github.com/puppetlabs/puppetlabs-peadm/pull/14) ([spidersddd](https://github.com/spidersddd))
- Adding tokenfile option [#13](https://github.com/puppetlabs/puppetlabs-peadm/pull/13) ([spidersddd](https://github.com/spidersddd))

## [0.1.0](https://github.com/puppetlabs/puppetlabs-peadm/tree/0.1.0) - 2018-09-27

[Full Changelog](https://github.com/puppetlabs/puppetlabs-peadm/compare/f724612f0489e2730aded974335f95c61474e4d3...0.1.0)
